FIX::Header Class Reference

`#include <Message.h>`

Inheritance diagram for FIX::Header:
[legend]
Collaboration diagram for FIX::Header:
[legend]

## Public Member Functions

| Header ()
| Header (const message_order &order)
void | addGroup (const FIX::Group &group)
void | replaceGroup (unsigned num, const FIX::Group &group)
Group & | getGroup (unsigned num, FIX::Group &group) const throw ( FieldNotFound )
void | removeGroup (unsigned num, const FIX::Group &group)
void | removeGroup (const FIX::Group &group)
bool | hasGroup (const FIX::Group &group) const
bool | hasGroup (unsigned num, const FIX::Group &group) const
Public Member Functions inherited from FIX::FieldMap
| FieldMap (const message_order &order=message_order(message_order::normal))
| FieldMap (const int order[])
| FieldMap (const FieldMap &copy)
virtual | ~FieldMap ()
FieldMap & | operator= (const FieldMap &rhs)
void | setField (const FieldBase &field, bool overwrite=true) throw ( RepeatedTag )
| Set a field without type checking.
void | setField (int tag, const std::string &value) throw ( RepeatedTag, NoTagValue )
| Set a field without a field class.
bool | getFieldIfSet (FieldBase &field) const
| Get a field if set.
FieldBase & | getField (FieldBase &field) const throw ( FieldNotFound )
| Get a field without type checking.
const std::string & | getField (int tag) const throw ( FieldNotFound )
| Get a field without a field class.
const FieldBase & | getFieldRef (int tag) const throw ( FieldNotFound )
| Get direct access to a field through a reference.
const FieldBase *const | getFieldPtr (int tag) const throw ( FieldNotFound )
| Get direct access to a field through a pointer.
bool | isSetField (const FieldBase &field) const
| Check to see if a field is set.
bool | isSetField (int tag) const
| Check to see if a field is set by referencing its number.
void | removeField (int tag)
| Remove a field. If field is not present, this is a no-op.
void | addGroup (int tag, const FieldMap &group, bool setCount=true)
| Add a group.
void | addGroupPtr (int tag, FieldMap *group, bool setCount=true)
| Acquire ownership of Group object.
void | replaceGroup (int num, int tag, const FieldMap &group)
| Replace a specific instance of a group.
FieldMap & | getGroup (int num, int tag, FieldMap &group) const throw ( FieldNotFound )
| Get a specific instance of a group.
FieldMap & | getGroupRef (int num, int tag) const throw ( FieldNotFound )
| Get direct access to a field through a reference.
FieldMap * | getGroupPtr (int num, int tag) const throw ( FieldNotFound )
| Get direct access to a field through a pointer.
void | removeGroup (int num, int tag)
| Remove a specific instance of a group.
void | removeGroup (int tag)
| Remove all instances of a group.
bool | hasGroup (int tag) const
| Check to see any instance of a group exists.
bool | hasGroup (int num, int tag) const
| Check to see if a specific instance of a group exists.
size_t | groupCount (int tag) const
| Count the number of instance of a group.
void | clear ()
| Clear all fields from the map.
bool | isEmpty ()
| Check if map contains any fields.
size_t | totalFields () const
std::string & | calculateString (std::string &) const
int | calculateLength (int beginStringField=FIELD::BeginString, int bodyLengthField=FIELD::BodyLength, int checkSumField=FIELD::CheckSum) const
int | calculateTotal (int checkSumField=FIELD::CheckSum) const
iterator | begin ()
iterator | end ()
const_iterator | begin () const
const_iterator | end () const
g_iterator | g_begin ()
g_iterator | g_end ()
g_const_iterator | g_begin () const
g_const_iterator | g_end () const

## Private Types

enum | { REQUIRED_FIELDS = 8 }

## Additional Inherited Members

Public Types inherited from FIX::FieldMap
typedef std::vector< FieldBase, ALLOCATOR< FieldBase > > | Fields
typedef std::map< int, std::vector< FieldMap * >, std::less< int >, ALLOCATOR< std::pair< const int, std::vector< FieldMap * > > > > | Groups
typedef Fields::iterator | iterator
typedef Fields::const_iterator | const_iterator
typedef Groups::iterator | g_iterator
typedef Groups::const_iterator | g_const_iterator
Protected Member Functions inherited from FIX::FieldMap
| FieldMap (const message_order &order, int size)
void | addField (const FieldBase &field)
const FieldBase & | reverse_find (int tag) const
void | appendField (const FieldBase &field)
void | sortFields ()

## Detailed Description

Definition at line 41 of file Message.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

private

Enumerator
REQUIRED_FIELDS |

Definition at line 43 of file Message.h.

{ REQUIRED_FIELDS = 8 };
FIX::Header::REQUIRED_FIELDS
@ REQUIRED_FIELDS
Definition Message.h:43

## Constructor & Destructor Documentation

## Header() [1/2]

FIX::Header::Header | ( |  | ) |

inline

Definition at line 46 of file Message.h.

: FieldMap( message_order( message_order::header ), REQUIRED_FIELDS )
{}
FIX::FieldMap::FieldMap
FieldMap(const message_order &order, int size)
Definition FieldMap.cpp:34
FIX::message_order::header
@ header
Definition MessageSorters.h:116

## Header() [2/2]

FIX::Header::Header | ( | const message_order & | order | ) |

inline

Definition at line 49 of file Message.h.

: FieldMap(order)
{}

## Member Function Documentation

## addGroup()

void FIX::Header::addGroup | ( | const FIX::Group & | group | ) |

inline

Definition at line 52 of file Message.h.

{ FieldMap::addGroup( group.field(), group ); }
FIX::FieldMap::addGroup
void addGroup(int tag, const FieldMap &group, bool setCount=true)
Add a group.
Definition FieldMap.cpp:83
FIX::Group::field
int field() const
Definition Group.h:56

References FIX::FieldMap::addGroup(), and FIX::Group::field().

## getGroup()

Group & FIX::Header::getGroup | ( | unsigned | num,
|  | FIX::Group & | group
| ) |  | const
throw | ( | FieldNotFound
| ) |  |

inline

Definition at line 58 of file Message.h.

{ group.clear();
return static_cast < Group& >
( FieldMap::getGroup( num, group.field(), group ) );
}
FIX::FieldMap::clear
void clear()
Clear all fields from the map.
Definition FieldMap.cpp:182
FIX::FieldMap::getGroup
FieldMap & getGroup(int num, int tag, FieldMap &group) const
Get a specific instance of a group.
Definition FieldMap.h:207

References FIX::FieldMap::clear(), and FIX::FieldMap::getGroup().

## hasGroup() [1/2]

bool FIX::Header::hasGroup | ( | const FIX::Group & | group | ) | const

inline

Definition at line 69 of file Message.h.

{ return FieldMap::hasGroup( group.field() ); }
FIX::FieldMap::hasGroup
bool hasGroup(int tag) const
Check to see any instance of a group exists.
Definition FieldMap.cpp:168

References FIX::Group::field(), and FIX::FieldMap::hasGroup().

## hasGroup() [2/2]

bool FIX::Header::hasGroup | ( | unsigned | num,
|  | const FIX::Group & | group
| ) |  | const

inline

Definition at line 71 of file Message.h.

{ return FieldMap::hasGroup( num, group.field() ); }

References FIX::Group::field(), and FIX::FieldMap::hasGroup().

## removeGroup() [1/2]

void FIX::Header::removeGroup | ( | const FIX::Group & | group | ) |

inline

Definition at line 66 of file Message.h.

{ FieldMap::removeGroup( group.field() ); }
FIX::FieldMap::removeGroup
void removeGroup(int num, int tag)
Remove a specific instance of a group.
Definition FieldMap.cpp:111

References FIX::Group::field(), and FIX::FieldMap::removeGroup().

## removeGroup() [2/2]

void FIX::Header::removeGroup | ( | unsigned | num,
|  | const FIX::Group & | group
| ) |  |

inline

Definition at line 64 of file Message.h.

{ FieldMap::removeGroup( num, group.field() ); }

References FIX::Group::field(), and FIX::FieldMap::removeGroup().

## replaceGroup()

void FIX::Header::replaceGroup | ( | unsigned | num,
|  | const FIX::Group & | group
| ) |  |

inline

Definition at line 55 of file Message.h.

{ FieldMap::replaceGroup( num, group.field(), group ); }
FIX::FieldMap::replaceGroup
void replaceGroup(int num, int tag, const FieldMap &group)
Replace a specific instance of a group.
Definition FieldMap.cpp:102

References FIX::Group::field(), and FIX::FieldMap::replaceGroup().

The documentation for this class was generated from the following file:

- Message.h